VisualEditor: Don't extend links over wordbreaks
Closed, ResolvedPublic

Description

With bug 49931 we currently extend link annotations when typing at the end. This makes it very difficult to type plain text after a link at the end of a paragraph.

We should change the logic to stop extending the annotation once a character is added that produces a new wordbreak.

There may be some odd cases as wordbreak logic can depend on more that two characters, e.g. a' has a wordbreak but a's doesn't, so trying to add "'s" to the end of a link label would break after the "'" even though it wouldn't if "'s" was added as one operation.


Version: unspecified
Severity: major
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=51442

bzimport set Reference to bz51463.
Esanders created this task.Via LegacyJul 16 2013, 7:11 PM
gerritbot added a comment.Via ConduitJul 17 2013, 3:59 PM

Change 74168 had a related patch set uploaded by Esanders:
[WIP] Split continued link annotations on wordbreaks

https://gerrit.wikimedia.org/r/74168

gerritbot added a comment.Via ConduitJul 24 2013, 2:43 PM

Change 74168 merged by jenkins-bot:
Split continued link annotations on wordbreaks

https://gerrit.wikimedia.org/r/74168

Jdforrester-WMF added a comment.Via ConduitJul 24 2013, 2:45 PM

Fixed and will get deployed in a few minutes.

Jdforrester-WMF added a comment.Via ConduitJul 24 2013, 3:23 PM
  • Bug 51531 has been marked as a duplicate of this bug. ***

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.